#!/bin/sh

. /tmp/openit-cfg-shenv

# Author : Romnick C. Coros
# Last Update : June 23, 2014

#Remove unsupported options in httpd 2.0
sed -i '/ServerType standalone/ c\  ' $CONFIG_DIR/httpd/httpd.conf
sed -i '/ResourceConfig \/dev\/null/ c\  ' $CONFIG_DIR/httpd/httpd.conf
sed -i '/AccessConfig \/dev\/null/ c\  ' $CONFIG_DIR/httpd/httpd.conf
sed -i '/SSLLog/ c\  ' $CONFIG_DIR/httpd/httpd.conf
sed -i '/SSLLogLevel/ c\  ' $CONFIG_DIR/httpd/httpd.conf

#Remove duplicated ScriptAlias declaration for cgi-bin
sed -i '/ScriptAlias/d' $CONFIG_DIR/httpd/httpd.conf
sed -i '/Action php5-script/ i ScriptAlias \/cgi-bin\/ \"\/opt\/openit\/bin\/\"' $CONFIG_DIR/httpd/httpd.conf

#Get the port being used
port=`grep Port /var/opt/openit/etc/httpd/httpd.conf | cut -d" " -f2 | cut -d "." -f 4 | head -1`
if [[ -z $port ]]; then
	#If there is no Port declaration try Listen
	port=`grep Listen /var/opt/openit/etc/httpd/httpd.conf | cut -d" " -f2 | cut -d "." -f 4 | head -1`
fi
listenport="Listen $port"

#Get the port being used for ssl
sslport=`grep Listen /var/opt/openit/etc/httpd/httpd.conf | cut -d" " -f2 | cut -d "." -f 4 | tail -1`
ssllistenport="Listen $sslport"

#Change Port with Listen
sed -i 's/Port/Listen/' $CONFIG_DIR/httpd/httpd.conf

#Remove Declaration of Listen Port
sed -i "/$listenport/d" $CONFIG_DIR/httpd/httpd.conf


#Remove Duplicate Declarations of Listen 443
sed -i "/$ssllistenport/d" $CONFIG_DIR/httpd/httpd.conf

#Add the declaration inside the IfDefine SSL
sed -i "0,/<IfDefine SSL>/s//<IfDefine SSL>\
\n$ssllistenport/" /var/opt/openit/etc/httpd/httpd.conf


#Add the Listen port again if it is not the one inside the IfDefine SSL
if [[ $port != $sslport ]]; then
	if [[ $port != *:* ]]; then
		sed -i "/PassEnv OPENIT_ARCH/ a\
		$listenport" $CONFIG_DIR/httpd/httpd.conf
	fi
fi


#Added the support for h-httpd-php for php files
sed -i "/AddType application\/x-httpd-php .php/d" $CONFIG_DIR/httpd/httpd.conf
sed -i '/AddType text\/html .shtml/ a\	AddType application/x-httpd-php .php' $CONFIG_DIR/httpd/httpd.conf
